Inyett Company Debts & Credits
Debts and Credits for a Company (Inquiry copies will be generated if inquiries are made about a sole proprietorship) Requires debtsandcreditsplus
Returns both the aggregated debt and credit picture for a company in a single call. Requires the debtsandcreditsplus scope. Inquiring about a sole proprietorship generates an inquiry copy to the subject, per Swedish credit information law.
POST
/
3
/
{profileCountry}
/
debts-and-credits
/
companies
Debts and Credits for a Company (Inquiry copies will be generated if inquiries are made about a sole proprietorship) Requires debtsandcreditsplus
curl --request POST \
--url https://api.example.com/3/{profileCountry}/debts-and-credits/companies \
--header 'Content-Type: application/json' \
--header 'X-Api-Key: <api-key>' \
--data '
{
"orgNr": "<string>"
}
'import requests
url = "https://api.example.com/3/{profileCountry}/debts-and-credits/companies"
payload = { "orgNr": "<string>" }
headers = {
"X-Api-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-Api-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({orgNr: '<string>'})
};
fetch('https://api.example.com/3/{profileCountry}/debts-and-credits/companies', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"debts": {
"paymentApplicationsCount": 123,
"applicationsSum": 123,
"notificationsCount": 123,
"notificationsSum": 123,
"notificationsWithAmalCount": 123,
"notificationsWithAmalSum": 123,
"notificationsWithEmalCount": 123,
"notificationsWithEmalSum": 123,
"debtSum": 123,
"latestDebtDate": "2023-11-07T05:31:56Z",
"debtsWithAmalCount": 123,
"debtsWithAmalSum": 123,
"debtsWithEmalCount": 123,
"debtsWithEmalSum": 123,
"distraintAttempt": true,
"notificationsWithAmalLatestYearCount": 123,
"notificationsWithEmalLatestYearCount": 123,
"privateClaimsApplications": [
{
"orgNumber": "<string>",
"createdDate": "2023-11-07T05:31:56Z",
"amount": 123,
"type": "<string>",
"typeText": "<string>",
"creditorOrgNr": "<string>",
"creditorName": "<string>",
"creditorForeign": true,
"comments": "<string>"
}
],
"publicClaims": [
{
"orgNumber": "<string>",
"createdDate": "2023-11-07T05:31:56Z",
"amount": 123,
"paymentNoteType": "<string>",
"paymentNoteTypeText": "<string>",
"term": "<string>",
"comment": "<string>"
}
],
"latestYearPublicClaims": [
{
"orgNumber": "<string>",
"createdDate": "2023-11-07T05:31:56Z",
"amount": 123,
"paymentNoteType": "<string>",
"paymentNoteTypeText": "<string>",
"term": "<string>",
"comment": "<string>"
}
],
"privateClaims": [
{
"orgNumber": "<string>",
"createdDate": "2023-11-07T05:31:56Z",
"amount": 123,
"paymentNoteType": "<string>",
"paymentNoteTypeText": "<string>",
"creditorOrgNr": "<string>",
"creditorName": "<string>",
"creditorForeign": true,
"comments": "<string>"
}
],
"latestYearPrivateClaims": [
{
"orgNumber": "<string>",
"createdDate": "2023-11-07T05:31:56Z",
"amount": 123,
"paymentNoteType": "<string>",
"paymentNoteTypeText": "<string>",
"creditorOrgNr": "<string>",
"creditorName": "<string>",
"creditorForeign": true,
"comments": "<string>"
}
],
"historicalDebtDetails": [
{
"date": "2023-11-07T05:31:56Z",
"numberPublic": 123,
"numberPrivate": 123,
"totalBalance": 123
}
],
"distraintRepossessionClaims": [
{
"orgNumber": "<string>",
"createdDate": "2023-11-07T05:31:56Z",
"type": "<string>",
"typeText": "<string>",
"comments": "<string>"
}
]
},
"credits": {
"rating": 123,
"ratingText": "<string>",
"riskPrognosis": 123,
"limit": 123,
"realEstateCount": 123,
"buildingsCount": 123,
"assessedValueSum": 123,
"representativeChecks": [
"<string>"
]
}
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"errors": {}
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}Authorizations
X-Api-KeyBearer
Api key needed to access the endpoints. X-Api-Key: My api key
Headers
App id
Path Parameters
The country whose scope/entitlement profile (SE or NO) is used to authorize the request. Determines which market-specific rules apply, independent of the country the requested company is registered in. ISO country code supported for company lookups: SE (Sweden) or NO (Norway).
Available options:
SE, NO Body
application/jsontext/jsonapplication/*+json
Was this page helpful?
⌘I
Debts and Credits for a Company (Inquiry copies will be generated if inquiries are made about a sole proprietorship) Requires debtsandcreditsplus
